Add Ganglia monitoring to the cassandra cluster

Mar 09, 2016 12:25 PM - Andrea Dell'Amico

Status: Closed Start date: Mar 09, 2016

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: Metrics monitoring   

Infrastructure: Production   

Description

The cassandra cluster isn't monitored by ganglia.

cassandra can export a lot of metrics, but it should be configured. See

http://wiki.apache.org/cassandra/Metrics

https://github.com/dropwizard/metrics

History

#1 - Mar 14, 2016 04:57 PM - Andrea Dell'Amico

- Status changed from New to In Progress

The ganglia basic configuration is ready to be deployed.

#2 - Mar 14, 2016 05:41 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Done.

No special cassandra support, because some reconfiguration is needed.
